# Created by pyp2rpm-3.3.8
%global pypi_name django-yarr
%global pypi_version 0.7.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}.45
Summary:        A lightweight customisable RSS reader for Django

License:        BSD
URL:            https://radiac.net/projects/django-yarr/
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Django Yarr - Yet Another RSS Reader.
A lightweight customisable RSS reader for Django.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(bleach) >= 5
Requires:       python3dist(django) >= 2.2
Requires:       python3dist(django-yaa-settings)
Requires:       python3dist(feedparser) >= 6

%description -n python3-%{pypi_name}
Django Yarr - Yet Another RSS Reader.
A lightweight customisable RSS reader for Django.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/yarr
%{python3_sitelib}/django_yarr-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Sep 21 2022 Oleg Girko <ol@infoserver.lv> - 0.7.0-1
- Initial package
